Expand RevisionSlider extension
Closed, ResolvedPublic

Description

RevisionSlider is an extension [0] providing a new interface to revision history.
We (WMDE) started working on it at the Jerusalem Hackathon, and we are very happy to say that with help of many people we've managed to turn the early prototype into an extension that is already available as a Beta Feature of beta wiki (you could try it out e.g. on [1]).
We are planning to have it added as a beta feature to production wikis soon.

Source code of the extension is available at [2]

Although we've managed to have a first version finished there are surely more things to be added or improved, and we would like to work on some of them during the Wikimania Hackathon.

Please feel free to come over and talk to me in Room 11, or catch me on IRC channel (I'm under leszek_wmde) if you'd like to talk about the extension, or have a look at it together.
If you have an idea what's still missing, if you'd like to install and test, work on a code, translate the extension, or just have a chat about the RevisionSlider or anything else, we would be more than happy to hear from you.

[0] https://www.mediawiki.org/wiki/Extension:RevisionSlider
[1] http://en.wikipedia.beta.wmflabs.org/wiki/Main_Page
[2] https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/RevisionSlider

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 23 2016, 11:57 AM
WMDE-leszek changed the title from "Expand RevisionSlider" to "Expand RevisionSlider extension".Jun 23 2016, 11:57 AM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJul 7 2016, 7:58 PM

I'm guessing tasks like this can be marked as resolved?

WMDE-leszek closed this task as "Resolved".Jul 8 2016, 11:57 AM

Some hacking and very valuable discussions happened. Further work on the extension happens at https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/RevisionSlider. Feel free to contribute!

Lea_WMDE moved this task from Incoming to Done on the Revision-Slider board.Jul 14 2016, 8:30 AM